API reference

GET /api/v1/assets

Recently requested assets and their cache status.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
regionstringnoRestrict results to a single region code.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "ast_adwpj8vss9t5ky",
      "created_at": "2025-07-26T12:47:05Z",
      "path": "/media/static/auepgjpf",
      "bytes": 1283548,
      "cache_status": "REVALIDATED"
    },
    {
      "id": "ast_y0bgp4iwdze77f",
      "created_at": "2025-05-01T07:58:00Z",
      "path": "/media/dist/pnwlrzvo",
      "bytes": 1128761,
      "cache_status": "HIT"
    },
    {
      "id": "ast_rrrozlsh85up6e",
      "created_at": "2025-01-30T22:43:09Z",
      "path": "/assets/static/c1ffewpe",
      "bytes": 1941339,
      "cache_status": "HIT"
    }
  ],
  "pagination": {
    "limit": 20,
    "count": 3,
    "has_more": false
  ...

Example

curl -s https://solo.skunkeu.win/api/v1/assets